<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Fejoa Auth Demo Page</title>
</head>
<body>
<h1>Fejoa Auth Demo Page</h1>
<div id = "fejoa-portal" data-path="fejoa.portal"/>

<p>Use the FejoaAuth browser extension to register!</p>

<p>Status: <span id="fejoa-auth-status"></span></p>

<script src="fejoa-auth.js"></script>
<script>
var statusField = document.getElementById("fejoa-auth-status");
var currentUser = "";

var fejoaAuth = new FejoaAuth();
fejoaAuth.addAuthStatusListener(new URL(window.location.href).origin, function(data) {
    var user = "";
    if (data.user)
        user = data.user;

    switch (data.authStatus) {
        case "LOGGED_IN":
            statusField.innerHTML = "Logged in as: " + user;
            break;
        case "LOGGED_OUT":
            if (currentUser != "")
                statusField.innerHTML = "Bye bye " + currentUser;
            else
                statusField.innerHTML = "Logged out";
            break;
        case "LOGGING_IN":
            statusField.innerHTML = "Logging in as: " + user;
            break;
        case "REGISTERING":
            statusField.innerHTML = "Registering in as: " + user;
            break;
        case "CONFIRM_REGISTRATION":
            statusField.innerHTML = "Registration needs to be confirmed (" + user + ")";
            break;
    }
    currentUser = user;
});

</script>
</body>
</html>